#include "model.h"
#include "looptools.h"
#include "renconst.h"

	double precision S, T, U
	common /kinvars/ S, T, U

	double precision Scale
	common /kinvars/ Scale

	integer Hel1, Hel2, Hel3, Hel4
	common /kinvars/ Hel1, Hel2, Hel3, Hel4

	double complex Pair1, Pair7, Pair9, Pair10, Pair14, Pair11
	double complex Pair12, Pair8, Pair13, Pair2, Pair3, Pair5
	double complex Pair6, Pair4, Eps35, Eps10, Eps11, Eps33, Eps12
	double complex Eps13, Eps34, Eps14, Eps15, Eps16, Eps1, Eps2
	double complex Eps3, Eps27, Eps17, Eps18, Eps28, Eps19, Eps20
	double complex Eps29, Eps4, Eps5, Eps6, Eps30, Eps21, Eps22
	double complex Eps31, Eps23, Eps24, Eps32, Eps7, Eps8, Eps9
	double complex Eps25, Eps26, Abb44, Abb45, Abb46, Abb41, Abb42
	double complex Abb43, Abb150, Abb143, Abb98, Abb99, Abb97
	double complex Abb134, Abb95, Abb96, Abb147, Abb88, Abb90
	double complex Abb101, Abb102, Abb103, Abb110, Abb116, Abb109
	double complex Abb117, Abb55, Abb56, Abb57, Abb1, Abb87
	double complex Abb152, Abb12, Abb19, Abb51, Abb53, Abb100
	double complex Abb76, Abb70, Abb72, Abb85, Abb122, Abb10
	double complex Abb121, Abb112, Abb111, Abb140, Abb132, Abb34
	double complex Abb48, Abb50, Abb94, Abb75, Abb67, Abb69, Abb84
	double complex Abb145, Abb9, Abb149, Abb142, Abb108, Abb125
	double complex Abb124, Abb17, Abb92, Abb120, Abb123, Abb2
	double complex Abb25, Abb138, Abb52, Abb54, Abb77, Abb71
	double complex Abb73, Abb86, Abb146, Abb11, Abb151, Abb144
	double complex Abb114, Abb113, Abb18, Abb141, Abb148, Abb23
	double complex Abb27, Abb37, Abb47, Abb49, Abb129, Abb74
	double complex Abb66, Abb68, Abb83, Abb8, Abb107, Abb137
	double complex Abb128, Abb22, Abb24, Abb36, Abb93, Abb3, Abb26
	double complex Abb139, Abb105, Abb106, Abb104, Abb14, Abb119
	double complex Abb126, Abb35, Abb15, Abb38, Abb39, Abb40
	double complex Abb135, Abb131, Abb136, Abb115, Abb89, Abb91
	double complex Abb82, Abb21, Abb13, Abb62, Abb64, Abb80, Abb59
	double complex Abb61, Abb79, Abb32, Abb29, Abb63, Abb65, Abb81
	double complex Abb133, Abb31, Abb58, Abb60, Abb78, Abb130
	double complex Abb28, Abb33, Abb30, Abb118, Abb5, Abb4, Abb20
	double complex Abb16, Abb127, Abb6, Abb7, AbbSum113, AbbSum116
	double complex AbbSum424, AbbSum291, AbbSum1072, AbbSum849
	double complex AbbSum848, AbbSum647, AbbSum648, AbbSum698
	double complex AbbSum1190, AbbSum934, AbbSum256, AbbSum665
	double complex AbbSum654, AbbSum252, AbbSum692, AbbSum208
	double complex AbbSum237, AbbSum317, AbbSum325, AbbSum554
	double complex AbbSum575, AbbSum813, AbbSum812, AbbSum958
	double complex AbbSum789, AbbSum625, AbbSum1125, AbbSum784
	double complex AbbSum940, AbbSum984, AbbSum897, AbbSum566
	double complex AbbSum173, AbbSum827, AbbSum576, AbbSum577
	double complex AbbSum785, AbbSum851, AbbSum858, AbbSum998
	double complex AbbSum815, AbbSum955, AbbSum567, AbbSum928
	double complex AbbSum624, AbbSum174, AbbSum839, AbbSum211
	double complex AbbSum924, AbbSum657, AbbSum298, AbbSum213
	double complex AbbSum192, AbbSum759, AbbSum613, AbbSum253
	double complex AbbSum531, AbbSum525, AbbSum778, AbbSum1083
	double complex AbbSum510, AbbSum703, AbbSum1020, AbbSum507
	double complex AbbSum570, AbbSum626, AbbSum508, AbbSum444
	double complex AbbSum76, AbbSum73, AbbSum169, AbbSum299
	double complex AbbSum40, AbbSum497, AbbSum494, AbbSum902
	double complex AbbSum1101, AbbSum564, AbbSum619, AbbSum223
	double complex AbbSum301, AbbSum39, AbbSum695, AbbSum757
	double complex AbbSum533, AbbSum655, AbbSum334, AbbSum437
	double complex AbbSum434, AbbSum83, AbbSum84, AbbSum352
	double complex AbbSum806, AbbSum255, AbbSum532, AbbSum1146
	double complex AbbSum895, AbbSum847, AbbSum361, AbbSum1075
	double complex AbbSum627, AbbSum312, AbbSum572, AbbSum574
	double complex AbbSum1135, AbbSum945, AbbSum1055, AbbSum315
	double complex AbbSum1094, AbbSum1163, AbbSum1054, AbbSum1080
	double complex AbbSum901, AbbSum951, AbbSum1062, AbbSum1088
	double complex AbbSum187, AbbSum960, AbbSum1121, AbbSum739
	double complex AbbSum369, AbbSum617, AbbSum936, AbbSum925
	double complex AbbSum546, AbbSum594, AbbSum697, AbbSum630
	double complex AbbSum231, AbbSum354, AbbSum1061, AbbSum632
	double complex AbbSum1029, AbbSum517, AbbSum892, AbbSum694
	double complex AbbSum308, AbbSum30, AbbSum878, AbbSum821
	double complex AbbSum879, AbbSum856, AbbSum345, AbbSum305
	double complex AbbSum415, AbbSum333, AbbSum578, AbbSum810
	double complex AbbSum807, AbbSum845, AbbSum162, AbbSum10
	double complex AbbSum968, AbbSum954, AbbSum573, AbbSum926
	double complex AbbSum1183, AbbSum1199, AbbSum1138, AbbSum311
	double complex AbbSum446, AbbSum820, AbbSum1073, AbbSum935
	double complex AbbSum390, AbbSum994, AbbSum9, AbbSum767
	double complex AbbSum579, AbbSum643, AbbSum592, AbbSum873
	double complex AbbSum254, AbbSum1043, AbbSum598, AbbSum666
	double complex AbbSum1008, AbbSum198, AbbSum1170, AbbSum588
	double complex AbbSum701, AbbSum569, AbbSum505, AbbSum865
	double complex AbbSum1148, AbbSum957, AbbSum800, AbbSum209
	double complex AbbSum155, AbbSum152, AbbSum153, AbbSum154
	double complex AbbSum1076, AbbSum1079, AbbSum36, AbbSum764
	double complex AbbSum498, AbbSum545, AbbSum522, AbbSum1044
	double complex AbbSum1034, AbbSum196, AbbSum770, AbbSum1045
	double complex AbbSum158, AbbSum456, AbbSum1128, AbbSum1127
	double complex AbbSum970, AbbSum1165, AbbSum909, AbbSum487
	double complex AbbSum1205, AbbSum651, AbbSum1039, AbbSum1022
	double complex AbbSum981, AbbSum1077, AbbSum1049, AbbSum887
	double complex AbbSum1066, AbbSum888, AbbSum889, AbbSum38
	double complex AbbSum175, AbbSum635, AbbSum185, AbbSum1030
	double complex AbbSum523, AbbSum605, AbbSum186, AbbSum1154
	double complex AbbSum549, AbbSum475, AbbSum975, AbbSum1173
	double complex AbbSum472, AbbSum974, AbbSum1139, AbbSum439
	double complex AbbSum3, AbbSum765, AbbSum157, AbbSum12
	double complex AbbSum339, AbbSum515, AbbSum795, AbbSum1122
	double complex AbbSum944, AbbSum966, AbbSum973, AbbSum929
	double complex AbbSum923, AbbSum599, AbbSum702, AbbSum179
	double complex AbbSum121, AbbSum122, AbbSum271, AbbSum270
	double complex AbbSum423, AbbSum376, AbbSum585, AbbSum857
	double complex AbbSum171, AbbSum714, AbbSum850, AbbSum283
	double complex AbbSum946, AbbSum1067, AbbSum568, AbbSum840
	double complex AbbSum323, AbbSum661, AbbSum660, AbbSum872
	double complex AbbSum669, AbbSum644, AbbSum691, AbbSum971
	double complex AbbSum952, AbbSum1188, AbbSum776, AbbSum310
	double complex AbbSum397, AbbSum404, AbbSum304, AbbSum561
	double complex AbbSum670, AbbSum819, AbbSum600, AbbSum238
	double complex AbbSum898, AbbSum930, AbbSum826, AbbSum266
	double complex AbbSum1107, AbbSum163, AbbSum558, AbbSum855
	double complex AbbSum1162, AbbSum916, AbbSum876, AbbSum836
	double complex AbbSum1106, AbbSum801, AbbSum969, AbbSum950
	double complex AbbSum1182, AbbSum972, AbbSum985, AbbSum1137
	double complex AbbSum1011, AbbSum1191, AbbSum809, AbbSum191
	double complex AbbSum1200, AbbSum1104, AbbSum1035, AbbSum1169
	double complex AbbSum676, AbbSum999, AbbSum959, AbbSum896
	double complex AbbSum853, AbbSum1175, AbbSum1040, AbbSum900
	double complex AbbSum261, AbbSum277, AbbSum639, AbbSum479
	double complex AbbSum527, AbbSum712, AbbSum1089, AbbSum606
	double complex AbbSum1085, AbbSum501, AbbSum258, AbbSum528
	double complex AbbSum1082, AbbSum616, AbbSum693, AbbSum762
	double complex AbbSum524, AbbSum166, AbbSum771, AbbSum552
	double complex AbbSum307, AbbSum717, AbbSum633, AbbSum314
	double complex AbbSum1176, AbbSum164, AbbSum511, AbbSum529
	double complex AbbSum663, AbbSum486, AbbSum1100, AbbSum563
	double complex AbbSum846, AbbSum1060, AbbSum37, AbbSum207
	double complex AbbSum699, AbbSum638, AbbSum743, AbbSum242
	double complex AbbSum1099, AbbSum538, AbbSum553, AbbSum342
	double complex AbbSum799, AbbSum874, AbbSum875, AbbSum859
	double complex AbbSum335, AbbSum465, AbbSum462, AbbSum384
	double complex AbbSum381, AbbSum303, AbbSum302, AbbSum705
	double complex AbbSum1012, AbbSum882, AbbSum720, AbbSum886
	double complex AbbSum843, AbbSum313, AbbSum914, AbbSum306
	double complex AbbSum808, AbbSum1150, AbbSum967, AbbSum1063
	double complex AbbSum53, AbbSum371, AbbSum987, AbbSum496
	double complex AbbSum215, AbbSum1021, AbbSum1108, AbbSum961
	double complex AbbSum1041, AbbSum244, AbbSum145, AbbSum986
	double complex AbbSum1194, AbbSum938, AbbSum937, AbbSum636
	double complex AbbSum620, AbbSum144, AbbSum547, AbbSum1149
	double complex AbbSum634, AbbSum548, AbbSum168, AbbSum1160
	double complex AbbSum1144, AbbSum802, AbbSum890, AbbSum891
	double complex AbbSum631, AbbSum709, AbbSum239, AbbSum1116
	double complex AbbSum956, AbbSum556, AbbSum25, AbbSum830
	double complex AbbSum540, AbbSum1003, AbbSum943, AbbSum844
	double complex AbbSum1071, AbbSum24, AbbSum539, AbbSum884
	double complex AbbSum1184, AbbSum996, AbbSum210, AbbSum645
	double complex AbbSum713, AbbSum662, AbbSum224, AbbSum736
	double complex AbbSum910, AbbSum608, AbbSum591, AbbSum582
	double complex AbbSum394, AbbSum272, AbbSum182, AbbSum195
	double complex AbbSum201, AbbSum708, AbbSum1105, AbbSum748
	double complex AbbSum672, AbbSum783, AbbSum1098, AbbSum512
	double complex AbbSum214, AbbSum1052, AbbSum1201, AbbSum1026
	double complex AbbSum718, AbbSum711, AbbSum1004, AbbSum793
	double complex AbbSum741, AbbSum1187, AbbSum241, AbbSum1086
	double complex AbbSum603, AbbSum265, AbbSum259, AbbSum262
	double complex AbbSum269, AbbSum111, AbbSum375, AbbSum378
	double complex AbbSum586, AbbSum584, AbbSum8, AbbSum200
	double complex AbbSum1132, AbbSum1065, AbbSum682, AbbSum490
	double complex AbbSum977, AbbSum883, AbbSum918, AbbSum1171
	double complex AbbSum941, AbbSum953, AbbSum942, AbbSum962
	double complex AbbSum1042, AbbSum232, AbbSum1120, AbbSum794
	double complex AbbSum777, AbbSum1033, AbbSum1109, AbbSum1136
	double complex AbbSum495, AbbSum322, AbbSum478, AbbSum641
	double complex AbbSum980, AbbSum866, AbbSum1110, AbbSum385
	double complex AbbSum332, AbbSum1145, AbbSum161, AbbSum1174
	double complex AbbSum581, AbbSum543, AbbSum542, AbbSum541
	double complex AbbSum671, AbbSum601, AbbSum458, AbbSum825
	double complex AbbSum235, AbbSum908, AbbSum559, AbbSum537
	double complex AbbSum894, AbbSum1161, AbbSum854, AbbSum491
	double complex AbbSum787, AbbSum835, AbbSum188, AbbSum1181
	double complex AbbSum189, AbbSum861, AbbSum782, AbbSum1126
	double complex AbbSum1115, AbbSum704, AbbSum217, AbbSum7
	double complex AbbSum822, AbbSum234, AbbSum860, AbbSum656
	double complex AbbSum852, AbbSum205, AbbSum867, AbbSum610
	double complex AbbSum483, AbbSum492, AbbSum775, AbbSum1097
	double complex AbbSum982, AbbSum750, AbbSum761, AbbSum734
	double complex AbbSum744, AbbSum715, AbbSum823, AbbSum716
	double complex AbbSum1096, AbbSum35, AbbSum206, AbbSum455
	double complex AbbSum109, AbbSum107, AbbSum388, AbbSum389
	double complex AbbSum1081, AbbSum48, AbbSum193, AbbSum602
	double complex AbbSum50, AbbSum128, AbbSum760, AbbSum51
	double complex AbbSum150, AbbSum126, AbbSum580, AbbSum818
	double complex AbbSum47, AbbSum816, AbbSum679, AbbSum250
	double complex AbbSum710, AbbSum392, AbbSum637, AbbSum151
	double complex AbbSum130, AbbSum123, AbbSum1152, AbbSum560
	double complex AbbSum1019, AbbSum190, AbbSum932, AbbSum1151
	double complex AbbSum550, AbbSum97, AbbSum96, AbbSum59
	double complex AbbSum57, AbbSum1032, AbbSum893, AbbSum832
	double complex AbbSum1028, AbbSum1095, AbbSum368, AbbSum500
	double complex AbbSum915, AbbSum1119, AbbSum780, AbbSum54
	double complex AbbSum413, AbbSum1155, AbbSum365, AbbSum370
	double complex AbbSum907, AbbSum668, AbbSum212, AbbSum993
	double complex AbbSum899, AbbSum1053, AbbSum493, AbbSum729
	double complex AbbSum202, AbbSum749, AbbSum228, AbbSum219
	double complex AbbSum536, AbbSum609, AbbSum863, AbbSum829
	double complex AbbSum1177, AbbSum309, AbbSum393, AbbSum1103
	double complex AbbSum29, AbbSum13, AbbSum1133, AbbSum963
	double complex AbbSum1158, AbbSum557, AbbSum14, AbbSum1123
	double complex AbbSum885, AbbSum1000, AbbSum1178, AbbSum792
	double complex AbbSum502, AbbSum684, AbbSum236, AbbSum678
	double complex AbbSum227, AbbSum1112, AbbSum1168, AbbSum1092
	double complex AbbSum167, AbbSum1090, AbbSum629, AbbSum1172
	double complex AbbSum1180, AbbSum788, AbbSum220, AbbSum1166
	double complex AbbSum673, AbbSum46, AbbSum34, AbbSum1014
	double complex AbbSum1141, AbbSum31, AbbSum414, AbbSum919
	double complex AbbSum912, AbbSum911, AbbSum1084, AbbSum583
	double complex AbbSum862, AbbSum964, AbbSum983, AbbSum939
	double complex AbbSum1189, AbbSum1129, AbbSum11, AbbSum805
	double complex AbbSum881, AbbSum1018, AbbSum484, AbbSum281
	double complex AbbSum779, AbbSum1153, AbbSum544, AbbSum700
	double complex AbbSum1124, AbbSum243, AbbSum1001, AbbSum913
	double complex AbbSum521, AbbSum555, AbbSum646, AbbSum1179
	double complex AbbSum781, AbbSum1002, AbbSum4, AbbSum824
	double complex AbbSum774, AbbSum675, AbbSum677, AbbSum933
	double complex AbbSum811, AbbSum931, AbbSum1114, AbbSum674
	double complex AbbSum753, AbbSum1016, AbbSum451, AbbSum745
	double complex AbbSum353, AbbSum443, AbbSum731, AbbSum91
	double complex AbbSum296, AbbSum294, AbbSum197, AbbSum1093
	double complex AbbSum1091, AbbSum722, AbbSum551, AbbSum489
	double complex AbbSum747, AbbSum752, AbbSum571, AbbSum240
	double complex AbbSum604, AbbSum366, AbbSum735, AbbSum614
	double complex AbbSum230, AbbSum814, AbbSum1147, AbbSum590
	double complex AbbSum488, AbbSum194, AbbSum170, AbbSum1024
	double complex AbbSum589, AbbSum817, AbbSum513, AbbSum336
	double complex AbbSum1102, AbbSum828, AbbSum1064, AbbSum864
	double complex AbbSum587, AbbSum199, AbbSum1134, AbbSum1131
	double complex AbbSum1069, AbbSum233, AbbSum1070, AbbSum177
	double complex AbbSum1059, AbbSum1057, AbbSum1056, AbbSum165
	double complex AbbSum607, AbbSum249, AbbSum481, AbbSum979
	double complex AbbSum264, AbbSum268, AbbSum359, AbbSum350
	double complex AbbSum476, AbbSum477, AbbSum386, AbbSum328
	double complex AbbSum688, AbbSum707, AbbSum681, AbbSum1006
	double complex AbbSum649, AbbSum1193, AbbSum797, AbbSum1167
	double complex AbbSum664, AbbSum965, AbbSum387, AbbSum659
	double complex AbbSum1017, AbbSum1023, AbbSum17, AbbSum183
	double complex AbbSum1068, AbbSum1051, AbbSum667, AbbSum621
	double complex AbbSum685, AbbSum320, AbbSum178, AbbSum1111
	double complex AbbSum247, AbbSum991, AbbSum364, AbbSum343
	double complex AbbSum338, AbbSum534, AbbSum535, AbbSum506
	double complex AbbSum329, AbbSum906, AbbSum922, AbbSum245
	double complex AbbSum905, AbbSum791, AbbSum321, AbbSum927
	double complex AbbSum834, AbbSum1159, AbbSum1031, AbbSum6
	double complex AbbSum380, AbbSum904, AbbSum831, AbbSum1156
	double complex AbbSum903, AbbSum18, AbbSum383, AbbSum248
	double complex AbbSum833, AbbSum246, AbbSum1157, AbbSum1113
	double complex AbbSum751, AbbSum276, AbbSum518, AbbSum755
	double complex AbbSum274, AbbSum499, AbbSum33, AbbSum719
	double complex AbbSum721, AbbSum143, AbbSum140, AbbSum142
	double complex AbbSum141, AbbSum222, AbbSum628, AbbSum611
	double complex AbbSum948, AbbSum689, AbbSum367, AbbSum612
	double complex AbbSum1047, AbbSum756, AbbSum706, AbbSum680
	double complex AbbSum103, AbbSum102, AbbSum68, AbbSum62
	double complex AbbSum66, AbbSum64, AbbSum341, AbbSum340
	double complex AbbSum949, AbbSum728, AbbSum416, AbbSum395
	double complex AbbSum837, AbbSum917, AbbSum1117, AbbSum995
	double complex AbbSum754, AbbSum21, AbbSum22, AbbSum1185
	double complex AbbSum686, AbbSum1058, AbbSum452, AbbSum445
	double complex AbbSum90, AbbSum1078, AbbSum485, AbbSum204
	double complex AbbSum520, AbbSum514, AbbSum1130, AbbSum1050
	double complex AbbSum5, AbbSum20, AbbSum623, AbbSum737
	double complex AbbSum738, AbbSum921, AbbSum622, AbbSum798
	double complex AbbSum110, AbbSum1143, AbbSum278, AbbSum1206
	double complex AbbSum530, AbbSum526, AbbSum658, AbbSum203
	double complex AbbSum19, AbbSum27, AbbSum869, AbbSum640
	double complex AbbSum652, AbbSum1196, AbbSum988, AbbSum803
	double complex AbbSum1195, AbbSum989, AbbSum1038, AbbSum32
	double complex AbbSum45, AbbSum723, AbbSum724, AbbSum124
	double complex AbbSum273, AbbSum275, AbbSum461, AbbSum464
	double complex AbbSum159, AbbSum184, AbbSum55, AbbSum618
	double complex AbbSum1048, AbbSum43, AbbSum85, AbbSum868
	double complex AbbSum503, AbbSum947, AbbSum562, AbbSum1118
	double complex AbbSum838, AbbSum615, AbbSum344, AbbSum877
	double complex AbbSum433, AbbSum436, AbbSum474, AbbSum471
	double complex AbbSum391, AbbSum70, AbbSum69, AbbSum653
	double complex AbbSum1036, AbbSum772, AbbSum1192, AbbSum992
	double complex AbbSum1087, AbbSum1204, AbbSum595, AbbSum596
	double complex AbbSum683, AbbSum773, AbbSum519, AbbSum71
	double complex AbbSum65, AbbSum428, AbbSum687, AbbSum758
	double complex AbbSum226, AbbSum871, AbbSum134, AbbSum509
	double complex AbbSum218, AbbSum251, AbbSum870, AbbSum1037
	double complex AbbSum450, AbbSum727, AbbSum480, AbbSum44
	double complex AbbSum49, AbbSum442, AbbSum330, AbbSum1142
	double complex AbbSum331, AbbSum696, AbbSum978, AbbSum997
	double complex AbbSum1198, AbbSum225, AbbSum1186, AbbSum1164
	double complex AbbSum565, AbbSum181, AbbSum216, AbbSum976
	double complex AbbSum730, AbbSum28, AbbSum880, AbbSum690
	double complex AbbSum421, AbbSum300, AbbSum297, AbbSum286
	double complex AbbSum288, AbbSum1009, AbbSum1015, AbbSum1027
	double complex AbbSum408, AbbSum597, AbbSum593, AbbSum1013
	double complex AbbSum790, AbbSum920, AbbSum742, AbbSum401
	double complex AbbSum725, AbbSum732, AbbSum804, AbbSum176
	double complex AbbSum482, AbbSum650, AbbSum1197, AbbSum990
	double complex AbbSum796, AbbSum841, AbbSum289, AbbSum172
	double complex AbbSum41, AbbSum52, AbbSum42, AbbSum1025
	double complex AbbSum768, AbbSum279, AbbSum740, AbbSum1046
	double complex AbbSum1005, AbbSum1074, AbbSum842, AbbSum420
	double complex AbbSum347, AbbSum356, AbbSum431, AbbSum425
	double complex AbbSum454, AbbSum453, AbbSum337, AbbSum26
	double complex AbbSum16, AbbSum180, AbbSum746, AbbSum409
	double complex AbbSum23, AbbSum160, AbbSum402, AbbSum81
	double complex AbbSum1140, AbbSum504, AbbSum112, AbbSum115
	double complex AbbSum114, AbbSum117, AbbSum119, AbbSum118
	double complex AbbSum374, AbbSum419, AbbSum139, AbbSum136
	double complex AbbSum138, AbbSum137, AbbSum282, AbbSum280
	double complex AbbSum326, AbbSum318, AbbSum351, AbbSum360
	double complex AbbSum15, AbbSum642, AbbSum516, AbbSum1202
	double complex AbbSum2, AbbSum125, AbbSum129, AbbSum362
	double complex AbbSum363, AbbSum440, AbbSum448, AbbSum357
	double complex AbbSum348, AbbSum407, AbbSum400, AbbSum412
	double complex AbbSum1, AbbSum95, AbbSum75, AbbSum221
	double complex AbbSum284, AbbSum763, AbbSum72, AbbSum94
	double complex AbbSum1010, AbbSum726, AbbSum427, AbbSum786
	double complex AbbSum93, AbbSum77, AbbSum78, AbbSum92
	double complex AbbSum74, AbbSum79, AbbSum769, AbbSum406
	double complex AbbSum399, AbbSum327, AbbSum319, AbbSum372
	double complex AbbSum156, AbbSum87, AbbSum86, AbbSum229
	double complex AbbSum766, AbbSum1007, AbbSum67, AbbSum89
	double complex AbbSum88, AbbSum63, AbbSum430, AbbSum422
	double complex AbbSum411, AbbSum410, AbbSum418, AbbSum429
	double complex AbbSum82, AbbSum120, AbbSum426, AbbSum1203
	double complex AbbSum148, AbbSum149, AbbSum447, AbbSum438
	double complex AbbSum285, AbbSum287, AbbSum358, AbbSum349
	double complex AbbSum135, AbbSum100, AbbSum101, AbbSum733
	double complex AbbSum417, AbbSum131, AbbSum132, AbbSum127
	double complex AbbSum133, AbbSum466, AbbSum467, AbbSum108
	double complex AbbSum106, AbbSum105, AbbSum104, AbbSum147
	double complex AbbSum146, AbbSum56, AbbSum58, AbbSum441
	double complex AbbSum449, AbbSum316, AbbSum324, AbbSum355
	double complex AbbSum346, AbbSum398, AbbSum405, AbbSum470
	double complex AbbSum473, AbbSum382, AbbSum379, AbbSum295
	double complex AbbSum293, AbbSum80, AbbSum373, AbbSum377
	double complex AbbSum468, AbbSum469, AbbSum60, AbbSum99
	double complex AbbSum98, AbbSum61, AbbSum290, AbbSum292
	double complex AbbSum459, AbbSum457, AbbSum432, AbbSum435
	double complex AbbSum263, AbbSum267, AbbSum403, AbbSum396
	double complex AbbSum463, AbbSum460, AbbSum260, AbbSum257
	common /abbrev/ Pair1, Pair7, Pair9, Pair10, Pair14, Pair11
	common /abbrev/ Pair12, Pair8, Pair13, Pair2, Pair3, Pair5
	common /abbrev/ Pair6, Pair4, Eps35, Eps10, Eps11, Eps33
	common /abbrev/ Eps12, Eps13, Eps34, Eps14, Eps15, Eps16, Eps1
	common /abbrev/ Eps2, Eps3, Eps27, Eps17, Eps18, Eps28, Eps19
	common /abbrev/ Eps20, Eps29, Eps4, Eps5, Eps6, Eps30, Eps21
	common /abbrev/ Eps22, Eps31, Eps23, Eps24, Eps32, Eps7, Eps8
	common /abbrev/ Eps9, Eps25, Eps26, Abb44, Abb45, Abb46, Abb41
	common /abbrev/ Abb42, Abb43, Abb150, Abb143, Abb98, Abb99
	common /abbrev/ Abb97, Abb134, Abb95, Abb96, Abb147, Abb88
	common /abbrev/ Abb90, Abb101, Abb102, Abb103, Abb110, Abb116
	common /abbrev/ Abb109, Abb117, Abb55, Abb56, Abb57, Abb1
	common /abbrev/ Abb87, Abb152, Abb12, Abb19, Abb51, Abb53
	common /abbrev/ Abb100, Abb76, Abb70, Abb72, Abb85, Abb122
	common /abbrev/ Abb10, Abb121, Abb112, Abb111, Abb140, Abb132
	common /abbrev/ Abb34, Abb48, Abb50, Abb94, Abb75, Abb67
	common /abbrev/ Abb69, Abb84, Abb145, Abb9, Abb149, Abb142
	common /abbrev/ Abb108, Abb125, Abb124, Abb17, Abb92, Abb120
	common /abbrev/ Abb123, Abb2, Abb25, Abb138, Abb52, Abb54
	common /abbrev/ Abb77, Abb71, Abb73, Abb86, Abb146, Abb11
	common /abbrev/ Abb151, Abb144, Abb114, Abb113, Abb18, Abb141
	common /abbrev/ Abb148, Abb23, Abb27, Abb37, Abb47, Abb49
	common /abbrev/ Abb129, Abb74, Abb66, Abb68, Abb83, Abb8
	common /abbrev/ Abb107, Abb137, Abb128, Abb22, Abb24, Abb36
	common /abbrev/ Abb93, Abb3, Abb26, Abb139, Abb105, Abb106
	common /abbrev/ Abb104, Abb14, Abb119, Abb126, Abb35, Abb15
	common /abbrev/ Abb38, Abb39, Abb40, Abb135, Abb131, Abb136
	common /abbrev/ Abb115, Abb89, Abb91, Abb82, Abb21, Abb13
	common /abbrev/ Abb62, Abb64, Abb80, Abb59, Abb61, Abb79
	common /abbrev/ Abb32, Abb29, Abb63, Abb65, Abb81, Abb133
	common /abbrev/ Abb31, Abb58, Abb60, Abb78, Abb130, Abb28
	common /abbrev/ Abb33, Abb30, Abb118, Abb5, Abb4, Abb20, Abb16
	common /abbrev/ Abb127, Abb6, Abb7, AbbSum113, AbbSum116
	common /abbrev/ AbbSum424, AbbSum291, AbbSum1072, AbbSum849
	common /abbrev/ AbbSum848, AbbSum647, AbbSum648, AbbSum698
	common /abbrev/ AbbSum1190, AbbSum934, AbbSum256, AbbSum665
	common /abbrev/ AbbSum654, AbbSum252, AbbSum692, AbbSum208
	common /abbrev/ AbbSum237, AbbSum317, AbbSum325, AbbSum554
	common /abbrev/ AbbSum575, AbbSum813, AbbSum812, AbbSum958
	common /abbrev/ AbbSum789, AbbSum625, AbbSum1125, AbbSum784
	common /abbrev/ AbbSum940, AbbSum984, AbbSum897, AbbSum566
	common /abbrev/ AbbSum173, AbbSum827, AbbSum576, AbbSum577
	common /abbrev/ AbbSum785, AbbSum851, AbbSum858, AbbSum998
	common /abbrev/ AbbSum815, AbbSum955, AbbSum567, AbbSum928
	common /abbrev/ AbbSum624, AbbSum174, AbbSum839, AbbSum211
	common /abbrev/ AbbSum924, AbbSum657, AbbSum298, AbbSum213
	common /abbrev/ AbbSum192, AbbSum759, AbbSum613, AbbSum253
	common /abbrev/ AbbSum531, AbbSum525, AbbSum778, AbbSum1083
	common /abbrev/ AbbSum510, AbbSum703, AbbSum1020, AbbSum507
	common /abbrev/ AbbSum570, AbbSum626, AbbSum508, AbbSum444
	common /abbrev/ AbbSum76, AbbSum73, AbbSum169, AbbSum299
	common /abbrev/ AbbSum40, AbbSum497, AbbSum494, AbbSum902
	common /abbrev/ AbbSum1101, AbbSum564, AbbSum619, AbbSum223
	common /abbrev/ AbbSum301, AbbSum39, AbbSum695, AbbSum757
	common /abbrev/ AbbSum533, AbbSum655, AbbSum334, AbbSum437
	common /abbrev/ AbbSum434, AbbSum83, AbbSum84, AbbSum352
	common /abbrev/ AbbSum806, AbbSum255, AbbSum532, AbbSum1146
	common /abbrev/ AbbSum895, AbbSum847, AbbSum361, AbbSum1075
	common /abbrev/ AbbSum627, AbbSum312, AbbSum572, AbbSum574
	common /abbrev/ AbbSum1135, AbbSum945, AbbSum1055, AbbSum315
	common /abbrev/ AbbSum1094, AbbSum1163, AbbSum1054, AbbSum1080
	common /abbrev/ AbbSum901, AbbSum951, AbbSum1062, AbbSum1088
	common /abbrev/ AbbSum187, AbbSum960, AbbSum1121, AbbSum739
	common /abbrev/ AbbSum369, AbbSum617, AbbSum936, AbbSum925
	common /abbrev/ AbbSum546, AbbSum594, AbbSum697, AbbSum630
	common /abbrev/ AbbSum231, AbbSum354, AbbSum1061, AbbSum632
	common /abbrev/ AbbSum1029, AbbSum517, AbbSum892, AbbSum694
	common /abbrev/ AbbSum308, AbbSum30, AbbSum878, AbbSum821
	common /abbrev/ AbbSum879, AbbSum856, AbbSum345, AbbSum305
	common /abbrev/ AbbSum415, AbbSum333, AbbSum578, AbbSum810
	common /abbrev/ AbbSum807, AbbSum845, AbbSum162, AbbSum10
	common /abbrev/ AbbSum968, AbbSum954, AbbSum573, AbbSum926
	common /abbrev/ AbbSum1183, AbbSum1199, AbbSum1138, AbbSum311
	common /abbrev/ AbbSum446, AbbSum820, AbbSum1073, AbbSum935
	common /abbrev/ AbbSum390, AbbSum994, AbbSum9, AbbSum767
	common /abbrev/ AbbSum579, AbbSum643, AbbSum592, AbbSum873
	common /abbrev/ AbbSum254, AbbSum1043, AbbSum598, AbbSum666
	common /abbrev/ AbbSum1008, AbbSum198, AbbSum1170, AbbSum588
	common /abbrev/ AbbSum701, AbbSum569, AbbSum505, AbbSum865
	common /abbrev/ AbbSum1148, AbbSum957, AbbSum800, AbbSum209
	common /abbrev/ AbbSum155, AbbSum152, AbbSum153, AbbSum154
	common /abbrev/ AbbSum1076, AbbSum1079, AbbSum36, AbbSum764
	common /abbrev/ AbbSum498, AbbSum545, AbbSum522, AbbSum1044
	common /abbrev/ AbbSum1034, AbbSum196, AbbSum770, AbbSum1045
	common /abbrev/ AbbSum158, AbbSum456, AbbSum1128, AbbSum1127
	common /abbrev/ AbbSum970, AbbSum1165, AbbSum909, AbbSum487
	common /abbrev/ AbbSum1205, AbbSum651, AbbSum1039, AbbSum1022
	common /abbrev/ AbbSum981, AbbSum1077, AbbSum1049, AbbSum887
	common /abbrev/ AbbSum1066, AbbSum888, AbbSum889, AbbSum38
	common /abbrev/ AbbSum175, AbbSum635, AbbSum185, AbbSum1030
	common /abbrev/ AbbSum523, AbbSum605, AbbSum186, AbbSum1154
	common /abbrev/ AbbSum549, AbbSum475, AbbSum975, AbbSum1173
	common /abbrev/ AbbSum472, AbbSum974, AbbSum1139, AbbSum439
	common /abbrev/ AbbSum3, AbbSum765, AbbSum157, AbbSum12
	common /abbrev/ AbbSum339, AbbSum515, AbbSum795, AbbSum1122
	common /abbrev/ AbbSum944, AbbSum966, AbbSum973, AbbSum929
	common /abbrev/ AbbSum923, AbbSum599, AbbSum702, AbbSum179
	common /abbrev/ AbbSum121, AbbSum122, AbbSum271, AbbSum270
	common /abbrev/ AbbSum423, AbbSum376, AbbSum585, AbbSum857
	common /abbrev/ AbbSum171, AbbSum714, AbbSum850, AbbSum283
	common /abbrev/ AbbSum946, AbbSum1067, AbbSum568, AbbSum840
	common /abbrev/ AbbSum323, AbbSum661, AbbSum660, AbbSum872
	common /abbrev/ AbbSum669, AbbSum644, AbbSum691, AbbSum971
	common /abbrev/ AbbSum952, AbbSum1188, AbbSum776, AbbSum310
	common /abbrev/ AbbSum397, AbbSum404, AbbSum304, AbbSum561
	common /abbrev/ AbbSum670, AbbSum819, AbbSum600, AbbSum238
	common /abbrev/ AbbSum898, AbbSum930, AbbSum826, AbbSum266
	common /abbrev/ AbbSum1107, AbbSum163, AbbSum558, AbbSum855
	common /abbrev/ AbbSum1162, AbbSum916, AbbSum876, AbbSum836
	common /abbrev/ AbbSum1106, AbbSum801, AbbSum969, AbbSum950
	common /abbrev/ AbbSum1182, AbbSum972, AbbSum985, AbbSum1137
	common /abbrev/ AbbSum1011, AbbSum1191, AbbSum809, AbbSum191
	common /abbrev/ AbbSum1200, AbbSum1104, AbbSum1035, AbbSum1169
	common /abbrev/ AbbSum676, AbbSum999, AbbSum959, AbbSum896
	common /abbrev/ AbbSum853, AbbSum1175, AbbSum1040, AbbSum900
	common /abbrev/ AbbSum261, AbbSum277, AbbSum639, AbbSum479
	common /abbrev/ AbbSum527, AbbSum712, AbbSum1089, AbbSum606
	common /abbrev/ AbbSum1085, AbbSum501, AbbSum258, AbbSum528
	common /abbrev/ AbbSum1082, AbbSum616, AbbSum693, AbbSum762
	common /abbrev/ AbbSum524, AbbSum166, AbbSum771, AbbSum552
	common /abbrev/ AbbSum307, AbbSum717, AbbSum633, AbbSum314
	common /abbrev/ AbbSum1176, AbbSum164, AbbSum511, AbbSum529
	common /abbrev/ AbbSum663, AbbSum486, AbbSum1100, AbbSum563
	common /abbrev/ AbbSum846, AbbSum1060, AbbSum37, AbbSum207
	common /abbrev/ AbbSum699, AbbSum638, AbbSum743, AbbSum242
	common /abbrev/ AbbSum1099, AbbSum538, AbbSum553, AbbSum342
	common /abbrev/ AbbSum799, AbbSum874, AbbSum875, AbbSum859
	common /abbrev/ AbbSum335, AbbSum465, AbbSum462, AbbSum384
	common /abbrev/ AbbSum381, AbbSum303, AbbSum302, AbbSum705
	common /abbrev/ AbbSum1012, AbbSum882, AbbSum720, AbbSum886
	common /abbrev/ AbbSum843, AbbSum313, AbbSum914, AbbSum306
	common /abbrev/ AbbSum808, AbbSum1150, AbbSum967, AbbSum1063
	common /abbrev/ AbbSum53, AbbSum371, AbbSum987, AbbSum496
	common /abbrev/ AbbSum215, AbbSum1021, AbbSum1108, AbbSum961
	common /abbrev/ AbbSum1041, AbbSum244, AbbSum145, AbbSum986
	common /abbrev/ AbbSum1194, AbbSum938, AbbSum937, AbbSum636
	common /abbrev/ AbbSum620, AbbSum144, AbbSum547, AbbSum1149
	common /abbrev/ AbbSum634, AbbSum548, AbbSum168, AbbSum1160
	common /abbrev/ AbbSum1144, AbbSum802, AbbSum890, AbbSum891
	common /abbrev/ AbbSum631, AbbSum709, AbbSum239, AbbSum1116
	common /abbrev/ AbbSum956, AbbSum556, AbbSum25, AbbSum830
	common /abbrev/ AbbSum540, AbbSum1003, AbbSum943, AbbSum844
	common /abbrev/ AbbSum1071, AbbSum24, AbbSum539, AbbSum884
	common /abbrev/ AbbSum1184, AbbSum996, AbbSum210, AbbSum645
	common /abbrev/ AbbSum713, AbbSum662, AbbSum224, AbbSum736
	common /abbrev/ AbbSum910, AbbSum608, AbbSum591, AbbSum582
	common /abbrev/ AbbSum394, AbbSum272, AbbSum182, AbbSum195
	common /abbrev/ AbbSum201, AbbSum708, AbbSum1105, AbbSum748
	common /abbrev/ AbbSum672, AbbSum783, AbbSum1098, AbbSum512
	common /abbrev/ AbbSum214, AbbSum1052, AbbSum1201, AbbSum1026
	common /abbrev/ AbbSum718, AbbSum711, AbbSum1004, AbbSum793
	common /abbrev/ AbbSum741, AbbSum1187, AbbSum241, AbbSum1086
	common /abbrev/ AbbSum603, AbbSum265, AbbSum259, AbbSum262
	common /abbrev/ AbbSum269, AbbSum111, AbbSum375, AbbSum378
	common /abbrev/ AbbSum586, AbbSum584, AbbSum8, AbbSum200
	common /abbrev/ AbbSum1132, AbbSum1065, AbbSum682, AbbSum490
	common /abbrev/ AbbSum977, AbbSum883, AbbSum918, AbbSum1171
	common /abbrev/ AbbSum941, AbbSum953, AbbSum942, AbbSum962
	common /abbrev/ AbbSum1042, AbbSum232, AbbSum1120, AbbSum794
	common /abbrev/ AbbSum777, AbbSum1033, AbbSum1109, AbbSum1136
	common /abbrev/ AbbSum495, AbbSum322, AbbSum478, AbbSum641
	common /abbrev/ AbbSum980, AbbSum866, AbbSum1110, AbbSum385
	common /abbrev/ AbbSum332, AbbSum1145, AbbSum161, AbbSum1174
	common /abbrev/ AbbSum581, AbbSum543, AbbSum542, AbbSum541
	common /abbrev/ AbbSum671, AbbSum601, AbbSum458, AbbSum825
	common /abbrev/ AbbSum235, AbbSum908, AbbSum559, AbbSum537
	common /abbrev/ AbbSum894, AbbSum1161, AbbSum854, AbbSum491
	common /abbrev/ AbbSum787, AbbSum835, AbbSum188, AbbSum1181
	common /abbrev/ AbbSum189, AbbSum861, AbbSum782, AbbSum1126
	common /abbrev/ AbbSum1115, AbbSum704, AbbSum217, AbbSum7
	common /abbrev/ AbbSum822, AbbSum234, AbbSum860, AbbSum656
	common /abbrev/ AbbSum852, AbbSum205, AbbSum867, AbbSum610
	common /abbrev/ AbbSum483, AbbSum492, AbbSum775, AbbSum1097
	common /abbrev/ AbbSum982, AbbSum750, AbbSum761, AbbSum734
	common /abbrev/ AbbSum744, AbbSum715, AbbSum823, AbbSum716
	common /abbrev/ AbbSum1096, AbbSum35, AbbSum206, AbbSum455
	common /abbrev/ AbbSum109, AbbSum107, AbbSum388, AbbSum389
	common /abbrev/ AbbSum1081, AbbSum48, AbbSum193, AbbSum602
	common /abbrev/ AbbSum50, AbbSum128, AbbSum760, AbbSum51
	common /abbrev/ AbbSum150, AbbSum126, AbbSum580, AbbSum818
	common /abbrev/ AbbSum47, AbbSum816, AbbSum679, AbbSum250
	common /abbrev/ AbbSum710, AbbSum392, AbbSum637, AbbSum151
	common /abbrev/ AbbSum130, AbbSum123, AbbSum1152, AbbSum560
	common /abbrev/ AbbSum1019, AbbSum190, AbbSum932, AbbSum1151
	common /abbrev/ AbbSum550, AbbSum97, AbbSum96, AbbSum59
	common /abbrev/ AbbSum57, AbbSum1032, AbbSum893, AbbSum832
	common /abbrev/ AbbSum1028, AbbSum1095, AbbSum368, AbbSum500
	common /abbrev/ AbbSum915, AbbSum1119, AbbSum780, AbbSum54
	common /abbrev/ AbbSum413, AbbSum1155, AbbSum365, AbbSum370
	common /abbrev/ AbbSum907, AbbSum668, AbbSum212, AbbSum993
	common /abbrev/ AbbSum899, AbbSum1053, AbbSum493, AbbSum729
	common /abbrev/ AbbSum202, AbbSum749, AbbSum228, AbbSum219
	common /abbrev/ AbbSum536, AbbSum609, AbbSum863, AbbSum829
	common /abbrev/ AbbSum1177, AbbSum309, AbbSum393, AbbSum1103
	common /abbrev/ AbbSum29, AbbSum13, AbbSum1133, AbbSum963
	common /abbrev/ AbbSum1158, AbbSum557, AbbSum14, AbbSum1123
	common /abbrev/ AbbSum885, AbbSum1000, AbbSum1178, AbbSum792
	common /abbrev/ AbbSum502, AbbSum684, AbbSum236, AbbSum678
	common /abbrev/ AbbSum227, AbbSum1112, AbbSum1168, AbbSum1092
	common /abbrev/ AbbSum167, AbbSum1090, AbbSum629, AbbSum1172
	common /abbrev/ AbbSum1180, AbbSum788, AbbSum220, AbbSum1166
	common /abbrev/ AbbSum673, AbbSum46, AbbSum34, AbbSum1014
	common /abbrev/ AbbSum1141, AbbSum31, AbbSum414, AbbSum919
	common /abbrev/ AbbSum912, AbbSum911, AbbSum1084, AbbSum583
	common /abbrev/ AbbSum862, AbbSum964, AbbSum983, AbbSum939
	common /abbrev/ AbbSum1189, AbbSum1129, AbbSum11, AbbSum805
	common /abbrev/ AbbSum881, AbbSum1018, AbbSum484, AbbSum281
	common /abbrev/ AbbSum779, AbbSum1153, AbbSum544, AbbSum700
	common /abbrev/ AbbSum1124, AbbSum243, AbbSum1001, AbbSum913
	common /abbrev/ AbbSum521, AbbSum555, AbbSum646, AbbSum1179
	common /abbrev/ AbbSum781, AbbSum1002, AbbSum4, AbbSum824
	common /abbrev/ AbbSum774, AbbSum675, AbbSum677, AbbSum933
	common /abbrev/ AbbSum811, AbbSum931, AbbSum1114, AbbSum674
	common /abbrev/ AbbSum753, AbbSum1016, AbbSum451, AbbSum745
	common /abbrev/ AbbSum353, AbbSum443, AbbSum731, AbbSum91
	common /abbrev/ AbbSum296, AbbSum294, AbbSum197, AbbSum1093
	common /abbrev/ AbbSum1091, AbbSum722, AbbSum551, AbbSum489
	common /abbrev/ AbbSum747, AbbSum752, AbbSum571, AbbSum240
	common /abbrev/ AbbSum604, AbbSum366, AbbSum735, AbbSum614
	common /abbrev/ AbbSum230, AbbSum814, AbbSum1147, AbbSum590
	common /abbrev/ AbbSum488, AbbSum194, AbbSum170, AbbSum1024
	common /abbrev/ AbbSum589, AbbSum817, AbbSum513, AbbSum336
	common /abbrev/ AbbSum1102, AbbSum828, AbbSum1064, AbbSum864
	common /abbrev/ AbbSum587, AbbSum199, AbbSum1134, AbbSum1131
	common /abbrev/ AbbSum1069, AbbSum233, AbbSum1070, AbbSum177
	common /abbrev/ AbbSum1059, AbbSum1057, AbbSum1056, AbbSum165
	common /abbrev/ AbbSum607, AbbSum249, AbbSum481, AbbSum979
	common /abbrev/ AbbSum264, AbbSum268, AbbSum359, AbbSum350
	common /abbrev/ AbbSum476, AbbSum477, AbbSum386, AbbSum328
	common /abbrev/ AbbSum688, AbbSum707, AbbSum681, AbbSum1006
	common /abbrev/ AbbSum649, AbbSum1193, AbbSum797, AbbSum1167
	common /abbrev/ AbbSum664, AbbSum965, AbbSum387, AbbSum659
	common /abbrev/ AbbSum1017, AbbSum1023, AbbSum17, AbbSum183
	common /abbrev/ AbbSum1068, AbbSum1051, AbbSum667, AbbSum621
	common /abbrev/ AbbSum685, AbbSum320, AbbSum178, AbbSum1111
	common /abbrev/ AbbSum247, AbbSum991, AbbSum364, AbbSum343
	common /abbrev/ AbbSum338, AbbSum534, AbbSum535, AbbSum506
	common /abbrev/ AbbSum329, AbbSum906, AbbSum922, AbbSum245
	common /abbrev/ AbbSum905, AbbSum791, AbbSum321, AbbSum927
	common /abbrev/ AbbSum834, AbbSum1159, AbbSum1031, AbbSum6
	common /abbrev/ AbbSum380, AbbSum904, AbbSum831, AbbSum1156
	common /abbrev/ AbbSum903, AbbSum18, AbbSum383, AbbSum248
	common /abbrev/ AbbSum833, AbbSum246, AbbSum1157, AbbSum1113
	common /abbrev/ AbbSum751, AbbSum276, AbbSum518, AbbSum755
	common /abbrev/ AbbSum274, AbbSum499, AbbSum33, AbbSum719
	common /abbrev/ AbbSum721, AbbSum143, AbbSum140, AbbSum142
	common /abbrev/ AbbSum141, AbbSum222, AbbSum628, AbbSum611
	common /abbrev/ AbbSum948, AbbSum689, AbbSum367, AbbSum612
	common /abbrev/ AbbSum1047, AbbSum756, AbbSum706, AbbSum680
	common /abbrev/ AbbSum103, AbbSum102, AbbSum68, AbbSum62
	common /abbrev/ AbbSum66, AbbSum64, AbbSum341, AbbSum340
	common /abbrev/ AbbSum949, AbbSum728, AbbSum416, AbbSum395
	common /abbrev/ AbbSum837, AbbSum917, AbbSum1117, AbbSum995
	common /abbrev/ AbbSum754, AbbSum21, AbbSum22, AbbSum1185
	common /abbrev/ AbbSum686, AbbSum1058, AbbSum452, AbbSum445
	common /abbrev/ AbbSum90, AbbSum1078, AbbSum485, AbbSum204
	common /abbrev/ AbbSum520, AbbSum514, AbbSum1130, AbbSum1050
	common /abbrev/ AbbSum5, AbbSum20, AbbSum623, AbbSum737
	common /abbrev/ AbbSum738, AbbSum921, AbbSum622, AbbSum798
	common /abbrev/ AbbSum110, AbbSum1143, AbbSum278, AbbSum1206
	common /abbrev/ AbbSum530, AbbSum526, AbbSum658, AbbSum203
	common /abbrev/ AbbSum19, AbbSum27, AbbSum869, AbbSum640
	common /abbrev/ AbbSum652, AbbSum1196, AbbSum988, AbbSum803
	common /abbrev/ AbbSum1195, AbbSum989, AbbSum1038, AbbSum32
	common /abbrev/ AbbSum45, AbbSum723, AbbSum724, AbbSum124
	common /abbrev/ AbbSum273, AbbSum275, AbbSum461, AbbSum464
	common /abbrev/ AbbSum159, AbbSum184, AbbSum55, AbbSum618
	common /abbrev/ AbbSum1048, AbbSum43, AbbSum85, AbbSum868
	common /abbrev/ AbbSum503, AbbSum947, AbbSum562, AbbSum1118
	common /abbrev/ AbbSum838, AbbSum615, AbbSum344, AbbSum877
	common /abbrev/ AbbSum433, AbbSum436, AbbSum474, AbbSum471
	common /abbrev/ AbbSum391, AbbSum70, AbbSum69, AbbSum653
	common /abbrev/ AbbSum1036, AbbSum772, AbbSum1192, AbbSum992
	common /abbrev/ AbbSum1087, AbbSum1204, AbbSum595, AbbSum596
	common /abbrev/ AbbSum683, AbbSum773, AbbSum519, AbbSum71
	common /abbrev/ AbbSum65, AbbSum428, AbbSum687, AbbSum758
	common /abbrev/ AbbSum226, AbbSum871, AbbSum134, AbbSum509
	common /abbrev/ AbbSum218, AbbSum251, AbbSum870, AbbSum1037
	common /abbrev/ AbbSum450, AbbSum727, AbbSum480, AbbSum44
	common /abbrev/ AbbSum49, AbbSum442, AbbSum330, AbbSum1142
	common /abbrev/ AbbSum331, AbbSum696, AbbSum978, AbbSum997
	common /abbrev/ AbbSum1198, AbbSum225, AbbSum1186, AbbSum1164
	common /abbrev/ AbbSum565, AbbSum181, AbbSum216, AbbSum976
	common /abbrev/ AbbSum730, AbbSum28, AbbSum880, AbbSum690
	common /abbrev/ AbbSum421, AbbSum300, AbbSum297, AbbSum286
	common /abbrev/ AbbSum288, AbbSum1009, AbbSum1015, AbbSum1027
	common /abbrev/ AbbSum408, AbbSum597, AbbSum593, AbbSum1013
	common /abbrev/ AbbSum790, AbbSum920, AbbSum742, AbbSum401
	common /abbrev/ AbbSum725, AbbSum732, AbbSum804, AbbSum176
	common /abbrev/ AbbSum482, AbbSum650, AbbSum1197, AbbSum990
	common /abbrev/ AbbSum796, AbbSum841, AbbSum289, AbbSum172
	common /abbrev/ AbbSum41, AbbSum52, AbbSum42, AbbSum1025
	common /abbrev/ AbbSum768, AbbSum279, AbbSum740, AbbSum1046
	common /abbrev/ AbbSum1005, AbbSum1074, AbbSum842, AbbSum420
	common /abbrev/ AbbSum347, AbbSum356, AbbSum431, AbbSum425
	common /abbrev/ AbbSum454, AbbSum453, AbbSum337, AbbSum26
	common /abbrev/ AbbSum16, AbbSum180, AbbSum746, AbbSum409
	common /abbrev/ AbbSum23, AbbSum160, AbbSum402, AbbSum81
	common /abbrev/ AbbSum1140, AbbSum504, AbbSum112, AbbSum115
	common /abbrev/ AbbSum114, AbbSum117, AbbSum119, AbbSum118
	common /abbrev/ AbbSum374, AbbSum419, AbbSum139, AbbSum136
	common /abbrev/ AbbSum138, AbbSum137, AbbSum282, AbbSum280
	common /abbrev/ AbbSum326, AbbSum318, AbbSum351, AbbSum360
	common /abbrev/ AbbSum15, AbbSum642, AbbSum516, AbbSum1202
	common /abbrev/ AbbSum2, AbbSum125, AbbSum129, AbbSum362
	common /abbrev/ AbbSum363, AbbSum440, AbbSum448, AbbSum357
	common /abbrev/ AbbSum348, AbbSum407, AbbSum400, AbbSum412
	common /abbrev/ AbbSum1, AbbSum95, AbbSum75, AbbSum221
	common /abbrev/ AbbSum284, AbbSum763, AbbSum72, AbbSum94
	common /abbrev/ AbbSum1010, AbbSum726, AbbSum427, AbbSum786
	common /abbrev/ AbbSum93, AbbSum77, AbbSum78, AbbSum92
	common /abbrev/ AbbSum74, AbbSum79, AbbSum769, AbbSum406
	common /abbrev/ AbbSum399, AbbSum327, AbbSum319, AbbSum372
	common /abbrev/ AbbSum156, AbbSum87, AbbSum86, AbbSum229
	common /abbrev/ AbbSum766, AbbSum1007, AbbSum67, AbbSum89
	common /abbrev/ AbbSum88, AbbSum63, AbbSum430, AbbSum422
	common /abbrev/ AbbSum411, AbbSum410, AbbSum418, AbbSum429
	common /abbrev/ AbbSum82, AbbSum120, AbbSum426, AbbSum1203
	common /abbrev/ AbbSum148, AbbSum149, AbbSum447, AbbSum438
	common /abbrev/ AbbSum285, AbbSum287, AbbSum358, AbbSum349
	common /abbrev/ AbbSum135, AbbSum100, AbbSum101, AbbSum733
	common /abbrev/ AbbSum417, AbbSum131, AbbSum132, AbbSum127
	common /abbrev/ AbbSum133, AbbSum466, AbbSum467, AbbSum108
	common /abbrev/ AbbSum106, AbbSum105, AbbSum104, AbbSum147
	common /abbrev/ AbbSum146, AbbSum56, AbbSum58, AbbSum441
	common /abbrev/ AbbSum449, AbbSum316, AbbSum324, AbbSum355
	common /abbrev/ AbbSum346, AbbSum398, AbbSum405, AbbSum470
	common /abbrev/ AbbSum473, AbbSum382, AbbSum379, AbbSum295
	common /abbrev/ AbbSum293, AbbSum80, AbbSum373, AbbSum377
	common /abbrev/ AbbSum468, AbbSum469, AbbSum60, AbbSum99
	common /abbrev/ AbbSum98, AbbSum61, AbbSum290, AbbSum292
	common /abbrev/ AbbSum459, AbbSum457, AbbSum432, AbbSum435
	common /abbrev/ AbbSum263, AbbSum267, AbbSum403, AbbSum396
	common /abbrev/ AbbSum463, AbbSum460, AbbSum260, AbbSum257

	double complex cint1(3), cint2(3), cint3, cint4, cint5, cint6
	double complex cint7, cint8, cint9, cint10, cint11, cint12
	double complex cint13, cint14, cint15, cint16(3), cint17(3)
	double complex cint18(3), cint19(3), cint20(3), cint21(3)
	double complex cint22(3), cint23(3), cint24(3), cint25(3)
	double complex cint26(3), cint27(3), cint28(3), cint29(3)
	double complex cint30(3), cint31(3), cint32(3), cint33(3)
	double complex cint34(3), cint35(3), cint36(3), cint37, cint38
	double complex cint39, cint40, cint41, cint42, cint43, cint44
	double complex cint45, cint46, cint47, cint48, cint49, cint50
	double complex cint51, cint52, cint53, cint54, cint55, cint56
	common /loopint/ cint1, cint2, cint3, cint4, cint5, cint6
	common /loopint/ cint7, cint8, cint9, cint10, cint11, cint12
	common /loopint/ cint13, cint14, cint15, cint16, cint17
	common /loopint/ cint18, cint19, cint20, cint21, cint22
	common /loopint/ cint23, cint24, cint25, cint26, cint27
	common /loopint/ cint28, cint29, cint30, cint31, cint32
	common /loopint/ cint33, cint34, cint35, cint36, cint37
	common /loopint/ cint38, cint39, cint40, cint41, cint42
	common /loopint/ cint43, cint44, cint45, cint46, cint47
	common /loopint/ cint48, cint49, cint50, cint51, cint52
	common /loopint/ cint53, cint54, cint55, cint56

	integer iint1(3), iint2(3), iint3(3), iint4(3), iint5(3)
	integer iint6(3), iint7(3), iint8(3), iint9, iint10, iint11
	integer iint12, iint13, iint14, iint15, iint16, iint17, iint18
	integer iint19, iint20, iint21, iint22, iint23, iint24, iint25
	integer iint26, iint27, iint28, iint29, iint30, iint31, iint32
	integer iint33, iint34, iint35, iint36, iint37, iint38, iint39
	integer iint40, iint41, iint42, iint43, iint44, iint45, iint46
	integer iint47, iint48, iint49, iint50, iint51, iint52, iint53
	integer iint54, iint55, iint56, iint57, iint58, iint59, iint60
	integer iint61, iint62, iint63, iint64, iint65, iint66, iint67
	integer iint68, iint69, iint70, iint71, iint72, iint73, iint74
	integer iint75, iint76, iint77, iint78, iint79, iint80, iint81
	integer iint82, iint83(3), iint84(3), iint85(3), iint86(3)
	integer iint87(3), iint88(3), iint89(3), iint90(3), iint91
	integer iint92, iint93, iint94
	common /loopint/ iint1, iint2, iint3, iint4, iint5, iint6
	common /loopint/ iint7, iint8, iint9, iint10, iint11, iint12
	common /loopint/ iint13, iint14, iint15, iint16, iint17
	common /loopint/ iint18, iint19, iint20, iint21, iint22
	common /loopint/ iint23, iint24, iint25, iint26, iint27
	common /loopint/ iint28, iint29, iint30, iint31, iint32
	common /loopint/ iint33, iint34, iint35, iint36, iint37
	common /loopint/ iint38, iint39, iint40, iint41, iint42
	common /loopint/ iint43, iint44, iint45, iint46, iint47
	common /loopint/ iint48, iint49, iint50, iint51, iint52
	common /loopint/ iint53, iint54, iint55, iint56, iint57
	common /loopint/ iint58, iint59, iint60, iint61, iint62
	common /loopint/ iint63, iint64, iint65, iint66, iint67
	common /loopint/ iint68, iint69, iint70, iint71, iint72
	common /loopint/ iint73, iint74, iint75, iint76, iint77
	common /loopint/ iint78, iint79, iint80, iint81, iint82
	common /loopint/ iint83, iint84, iint85, iint86, iint87
	common /loopint/ iint88, iint89, iint90, iint91, iint92
	common /loopint/ iint93, iint94

	integer Gen1
	common /indices/ Gen1

	double complex Cloop(1), Ctree(1)
	common /coeff/ Cloop, Ctree
